%global dbus_version            0.61
%global doxygen_version         1.3.9.1
%global expat_version           1.95.8
%global gettext_version         0.14.1
%global glib_version            2.8.3
%global gnome_python            2.6.0
%global initscripts_version     8.04
%global kernel_version          2.6.12
%global libselinux_version      1.26
%global libusb_version          0.1.10a
%global pygtk                   2.6.0
%global udev_version            050
%global util_linux_version      2.12q
# %%define cryptsetup_luks_version 1.0.1

%global hal_user_uid           68

%global momorel 3
%global md5sum_src0 4163afb8285db64e00e7b1392b401d92

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.7
Release: %{momorel}m
URL: http://www.freedesktop.org/Software/hal
%NoSource 0 http://freedesktop.org/~david/dist/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: hal-0.5.4-initdir.patch
License: "AFL/GPL"
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig, shadow-utils
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib-devel >= %{glib_version}
BuildRequires: dbus-devel   = %{dbus_version}
BuildRequires: python-devel
BuildRequires: hwdata
BuildRequires: libselinux-devel >= %{libselinux_version}
BuildRequires: doxygen >= %{doxygen_version}
BuildRequires: gettext >= %{gettext_version}
%ifnarch s390 s390x
BuildRequires: libusb-devel >= %{libusb_version}
%endif
Requires: dbus = %{dbus_version}
Requires: dbus-glib = %{dbus_version}
Requires: glib >= %{glib_version}
Requires: udev >= %{udev_version} 
Requires: util-linux >= %{util_linux_version} 
Requires: libselinux >= %{libselinux_version}
Requires: initscripts >= %{initscripts_version}
#Requires: cryptsetup-luks >= %{cryptsetup_luks_version}
Requires: kernel >= %{kernel_version}
%ifnarch s390 s390x
Requires: libusb >= %{libusb_version}
%endif

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.

%package gnome
Summary: GNOME based device manager for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-python >= %{dbus_version}
Requires: pygtk >= %{pygtk} 
Requires: gnome-python >= %{gnome_python}

%description gnome
GNOME program for displaying the devices detected by HAL


%package devel
Summary: Libraries and headers for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-devel = %{dbus_version}

%description devel

Headers, static libraries and API docs for HAL.

%prep
%setup -q

%patch0 -p1 -b .hald
%build

%configure \
    --disable-docbook-docs \
    --with-os-type=redhat

%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}/etc/rc.d/init.d/

%clean
rm -rf --preserve-root %{buildroot}

%pre
# Add the "haldaemon" user
/usr/sbin/useradd -c 'HAL daemon' -u %{hal_user_uid} \
	-s /sbin/nologin -r -d '/' haldaemon 2> /dev/null || :

%post
/sbin/ldconfig
/sbin/chkconfig --add haldaemon

%preun
if [ $1 = 0 ]; then
    service haldaemon stop > /dev/null 2>&1
    /sbin/chkconfig --del haldaemon
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
  service haldaemon condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
# %%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%{_sysconfdir}/dbus-1/system.d/hal.conf
%{_sysconfdir}/hal
%config %{_sysconfdir}/init.d/haldaemon
%{_sysconfdir}/udev/rules.d/90-hal.rules
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property
%{_bindir}/hal-device
%{_bindir}/hal-find-by-capability
%{_bindir}/hal-find-by-property
%{_bindir}/lshal
%{_libdir}/*hal*.so.*
%{_libexecdir}/hal*
%{_sbindir}/hald
%dir %{_datadir}/doc/hal-%{version}
%{_datadir}/doc/hal-%{version}/conf
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%{_datadir}/hal/fdi/*
%{_datadir}/hal/scripts
%{_datadir}/locale/*/LC_MESSAGES/*mo

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/hal
%{_datadir}/doc/hal-%{version}/api
# TODO: include hal-spec

%files gnome
%defattr(-,root,root)
%{_bindir}/hal-device-manager
%{_datadir}/hal/device-manager

%changelog
* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.7-3m)
- rebuild against dbus-0.61

* Sat Apr  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-2m)
- clean up spec file

* Fri Apr  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7
- use --with-hwdata=%{_datadir}/hwdata

* Fri Dec 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.5.1-1m)
- sync with fc-devel

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-2m)
- revise %%files section

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.5.4-1m)
- version 0.5.4

* Sat Mar  5 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.7-1m)
- update to 0.4.7
- add Patch1: hal-0.4.7-initdir.patch
- delete --with-init-scripts=redhat from configure

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.4.0-2m)
- cups-config-daemon belongs to hal-cups-utils.

* Fri Jan 21 2005 Toru Hoshina <t@momonga-linux.org>
- (0.4.0-1m)
- import from FC3.

* Thu Oct 28 2004 David Zeuthen <davidz@redhat,com> 0.4.0-10
- Allow adding SCSI optical drives to the /etc/fstab file (#137364)
- Fix typo where 'async' was used instead of 'sync' (#137456)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-9
- Rebuilt

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-8
- Forgot to add some diffs in hal-0.4.0-pcmcia-net-support.patch

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-7
- Change default policy such that non-hotpluggable fixed disks are not
  added to the /etc/fstab file because a) ATARAID detection in hal is
  incomplete (e.g. RAID members from ATARAID controllers might be added
  to /etc/fstab); and b) default install wont corrupt multiboot 
  systems on fixed drives (#137072)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-6
- Fix hotplug timeout handling (#136626)
- Detect ATARAID devices and do not add /etc/fstab entry for them
- Probe for ext3 before ntfs (#136966)
- Use fstype 'auto' for optical drives instead of 'iso9660,udf'
- Properly detect wireless ethernet devices  (#136591)
- Support 16-bit PCMCIA networking devices (by Dan Williams) (#136658)

* Tue Oct 19 2004 David Zeuthen <davidz@redhat,com> 0.4.0-5
- Make hal work with PCMCIA IDE hotpluggable devices (#133943)
- Fixup URL listed from rpm -qi (#136396)
- Add Portuguese translations for hal
- Fix addition of Russian and Hungarian translations

* Mon Oct 18 2004 David Zeuthen <davidz@redhat.com> 0.4.0-4
- Make hald cope with missing hotplug events from buggy drivers (#135202)
- Fix the order of mount options in fstab-sync (#136191)
- Allow x86 legacy floppy drives in default policy (#133777)
- Fix fstab-sync crashing without any options and not run from hald (#136214)
- man page for fstab-sync references non-existing files (#136026)
- Add Russian translations for hal (#135853)
- Add Hungarian translations for hal

* Fri Oct 15 2004 David Zeuthen <davidz@redhat.com> 0.4.0-3
- Fix bad use of O_NONBLOCK as the 2.6.8-1.624 kernel exposes this (#135886)
- Never use the UUID as mount point candidate in the default policy 
  as it is unfriendly (#135907)
- Fix a trivial bug in fstab-sync so the syslog messages actually expose
  the device name instead of just the word foo

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-2
- Fix issue with fstab-sync not cleaning /etc/fstab on startup

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-1
- Update to upstream stable version 0.4.0
- Remove patch for libhal shutdown since that is now upstream
- fstab-sync: man page, adds comment in /etc/fstab pointing to man page

* Fri Oct 01 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-3
- Fix a bug so libhal actually invoke callback functions when needed

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.98.cvs20040929-2
- Use "user" mount flag for now until "pamconsole" flag gets into mount

* Wed Sep 29 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-1
- Update to upstream CVS version
- Enable libselinux again

* Mon Sep 27 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040927-1
- Update to upstream CVS version

* Fri Sep 24 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040923-1
- Update to upstream CVS release
- Include libhal-storage library
- Should close bug #132876

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-4
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-3
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-2
- Temporarily disable explicit requirement for libselinux

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-1
- Update to upstream release 0.2.98. 
- Use --with-pid-file so we don't depend on /etc/redhat-release

* Wed Sep 01 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040901-1
- Update to upstream CVS HEAD

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-3
- Add UID for haldaemon user

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-2
- Rebuilt with a newer snapshot.

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-3
- Rebuilt

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-2
- Rebuilt
- Closes RH Bug #130971

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-1
- Update to upstream CVS HEAD. 
- Should close RH Bug #130588

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-3
- Rebuilt

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-2
- Apply a patch so hald doesn't hang on startup.

* Mon Aug 23 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-1
- Update to upstream CVS HEAD
- Remove symlinking of fstab-sync from specfile since this is now being
  done in the package

* Mon Aug 23 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- change the %%define names to not use "-"

* Thu Aug 19 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040819-1
- Update to upstream CVS HEAD
- Remove suid patch as it is fixed upstream
- Fix some dependency issues (RH Bug #130202)

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.97-2
- Add stopgap patch to remove suid from mount flags (RH Bug #130290)

* Mon Aug 16 2004 David Zeuthen <davidz@redhat.com> 0.2.97-1
- update to upstream release 0.2.97
- use kudzu option in fstab-sync since updfstab is now disabled

* Thu Aug 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.96-2
- fixed Requires lines to use %{} instead of ${}
- made dbus related requires lines use the = condition instead of =<
  because the dbus API is still in flux

* Thu Aug 12 2004 David Zeuthen <davidz@redhat.com> 0.2.96
- Update to upstream release 0.2.96
- Symlink fstab-sync into /etc/hal/device.d on install

* Fri Aug 06 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-2
- Base hal package no longer requires python

* Mon Aug 02 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-1
- Update to CVS head
- Remove Dan's patches as they were commited to CVS

* Fri Jul 30 2004 Dan Williams <dcbw@redhat.com> 0.2.93.cvs.20040712-2
- Fix netlink sockets pointer arithmetic bug

* Mon Jul 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.93.cvs.20040712-1
- Update to new CVS version as of 7-12-2004

* Fri Jun 25 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-2
- take out fstab-update.sh from install
- add to rawhide
 
* Fri Jun 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-1 
- update to CVS head as of 6-11-2004 which contains dcbw's 
  network link status fix 

* Wed Jun 9 2004 Ray Strode <rstrode@redhat.com> 0.2.91.cvs20040527-2
- added dependency on udev

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.91.cvs20040527-1
- update to CVS head as of 5-27-2004 which contains fixes for PCMCIA
  and wireless network devices.

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-3
- added hal-0.2.90.cvs20040511.callbackscripts.patch which installs 
  the file system mounting script in /etc/hal/device.d

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-2
- added the %{_sysconfigdir}/hal directory tree to %files 

* Tue May 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-1
- update to CVS head as of 5-11-2004

* Wed May 5 2004 Christopher Blizzard <blizzard@redhat.com> 0.2.90-2
- Install hal.dev from /etc/dev.d/default/

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90-1
- upstream update

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2-1 
- initial checkin to package repository
- added dependency to the dbus-python package
- added %{_libexecdir}/hal.dev to teh %files section
